org.eclipse.lyo.client.oslc.resources

## Class TestCase

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.QmResource
    - - org.eclipse.lyo.client.oslc.resources.TestCase

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcResourceShape(title="Quality Management Resource Shape",
                         describes="http://open-services.net/ns/qm#TestCase")
      @OslcNamespace(value="http://open-services.net/ns/qm#")
      public final class TestCase
      extends QmResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContributor(URI contributor)`
    `void` | `addCreator(URI creator)`
    `void` | `addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)`
    `void` | `addSubject(String subject)`
    `void` | `addTestsChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link changeRequest)`
    `void` | `addUsesTestScript(org.eclipse.lyo.oslc4j.core.model.Link testscript)`
    `void` | `addValidatesRequirement(org.eclipse.lyo.oslc4j.core.model.Link requirement)`
    `URI[]` | `getContributors()`
    `URI[]` | `getCreators()`
    `String` | `getDescription()`
    `protected URI` | `getRdfType()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedChangeRequests()`
    `String[]` | `getSubjects()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTestsChangeRequests()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getUsesTestScripts()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getValidatesRequirements()`
    `void` | `setContributors(URI[] contributors)`
    `void` | `setCreators(URI[] creators)`
    `void` | `setDescription(String description)`
    `void` | `setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)`
    `void` | `setSubjects(String[] subjects)`
    `void` | `setTestsChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] testsChangeRequests)`
    `void` | `setUsesTestScripts(org.eclipse.lyo.oslc4j.core.model.Link[] usesTestScripts)`
    `void` | `setValidatesRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] validatesRequirements)`

    - ### Methods inherited from class org.eclipse.lyo.client.oslc.resources.QmResource

      `addRdfType, getCreated, getIdentifier, getInstanceShape, getModified, getRdfTypes, getServiceProvider, getTitle, setCreated, setIdentifier, setInstanceShape, setModified, setRdfTypes, setServiceProvider, setTitle`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCase

          public TestCase()

  - ### Method Detail

    - #### getRdfType

          protected URI getRdfType()

      Specified by:
        `getRdfType` in class `QmResource`

    - #### addContributor

          public void addContributor(URI contributor)

    - #### addCreator

          public void addCreator(URI creator)

    - #### addRelatedChangeRequest

          public void addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)

    - #### addSubject

          public void addSubject(String subject)

    - #### addTestsChangeRequest

          public void addTestsChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link changeRequest)

    - #### addUsesTestScript

          public void addUsesTestScript(org.eclipse.lyo.oslc4j.core.model.Link testscript)

    - #### addValidatesRequirement

          public void addValidatesRequirement(org.eclipse.lyo.oslc4j.core.model.Link requirement)

    - #### getContributors

          @OslcDescription(value="The person(s) who are responsible for the work needed to complete the test case.")
          @OslcName(value="contributor")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/contributor")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Contributors")
          public URI[] getContributors()

    - #### getCreators

          @OslcDescription(value="Creator or creators of resource.")
          @OslcName(value="creator")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/creator")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Creators")
          public URI[] getCreators()

    - #### getDescription

          @OslcDescription(value="Descriptive text (reference: Dublin Core) about resource represented as rich text in XHTML content.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/description")
          @OslcTitle(value="Description")
          @OslcValueType(value=XMLLiteral)
          public String getDescription()

    - #### getRelatedChangeRequests

          @OslcDescription(value="A related change request.")
          @OslcName(value="relatedChangeRequest")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#relatedChangeRequest")
          @OslcRange(value="http://open-services.net/ns/cm#ChangeRequest")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Related Change Requests")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedChangeRequests()

    - #### getSubjects

          @OslcDescription(value="Tag or keyword for a resource. Each occurrence of a dcterms:subject property denotes an additional tag for the resource.")
          @OslcName(value="subject")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/subject")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Subjects")
          public String[] getSubjects()

    - #### getTestsChangeRequests

          @OslcDescription(value="Change Request tested by the Test Case.")
          @OslcName(value="testsChangeRequest")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#testsChangeRequest")
          @OslcRange(value="http://open-services.net/ns/cm#ChangeRequest")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Tests Change Request")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getTestsChangeRequests()

    - #### getUsesTestScripts

          @OslcDescription(value="Test Script used by the Test Case.")
          @OslcName(value="usesTestScript")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#usesTestScript")
          @OslcRange(value="http://open-services.net/ns/qm#TestScript")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Uses Test Script")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getUsesTestScripts()

    - #### getValidatesRequirements

          @OslcDescription(value="Requirement that is validated by the Test Case.")
          @OslcName(value="validatesRequirement")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#validatesRequirement")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Validates Requirement")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getValidatesRequirements()

    - #### setContributors

          public void setContributors(URI[] contributors)

    - #### setCreators

          public void setCreators(URI[] creators)

    - #### setDescription

          public void setDescription(String description)

    - #### setRelatedChangeRequests

          public void setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)

    - #### setSubjects

          public void setSubjects(String[] subjects)

    - #### setTestsChangeRequests

          public void setTestsChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] testsChangeRequests)

    - #### setUsesTestScripts

          public void setUsesTestScripts(org.eclipse.lyo.oslc4j.core.model.Link[] usesTestScripts)

    - #### setValidatesRequirements

          public void setValidatesRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] validatesRequirements)

Copyright © 2016. All Rights Reserved.